from setuptools import setup, find_packages

setup(
    name = "xxgamma",
    version = "0.06",
    packages = ['xxgamma', 'xxgamma.data'],
    install_requires = ['shipyard', 'peggy'],
    data_files=[('', ['COPYING', 'README']),
                ('xxgamma/data', ['xxgamma/data/xxgamma.glade',
                                  'xxgamma/data/cols.xpm']),
                ('xxgamma/locale/de/LC_MESSAGES', ['xxgamma/locale/de/LC_MESSAGES/xxgamma.mo']),
                ],

    entry_points = {
        'console_scripts': [
            'xxgamma = xxgamma:main',
            ]
        },

    # metadata for upload to PyPI
    author = "Florian Diesch",
    author_email = "devel@florian-diesch.de",
    description = "PyGTK based GUI for xgamma",
    long_description = """
     xxgamma is a PyGTK based GUI for xgamma which allows you to load,
     modify and store multiple gamma correction profiles for XFree86
     and X.org through a GUI and a command line interface.""",
    license = "GPL",
    keywords = "gtk xgamma gamma",
    url = "http://www.florian-diesch.de/software/xxgamma/",
    classifiers=[
    'Development Status :: 3 - Alpha',
    'License :: OSI Approved :: GNU General Public License (GPL)',
    'Natural Language :: German',
    'Natural Language :: English',
    'Environment :: X11 Applications :: GTK',
    'Intended Audience :: End Users/Desktop',
    'Operating System :: POSIX',
    'Programming Language :: Python',
    'Topic :: Utilities',
    'Topic :: Desktop Environment',
    'Environment :: X11 Applications :: GTK',
    ]
    )

